(function (lib, img, cjs) {

var p; // shortcut to reference prototypes

// library properties:
lib.properties = {
	width: 550,
	height: 400,
	fps: 24,
	color: "#FFFFFF",
	manifest: []
};

// stage content:
(lib.canvas1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Capa 1
	this.instance = new lib.yoyo();
	this.instance.setTransform(275,70,1,1,0,0,0,60,60);

	this.timeline.addTween(cjs.Tween.get(this.instance).to({y:300},9,cjs.Ease.get(-1)).to({regX:59.7,regY:120,scaleX:1.25,scaleY:0.67,x:274.7,y:360},5,cjs.Ease.get(1)).to({regX:60,regY:60,scaleX:0.92,scaleY:1.07,x:275,y:70},10).to({scaleX:1,scaleY:1},9,cjs.Ease.get(-1)).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(490,210,120,120);


// symbols:
(lib.yoyo = function() {
	this.initialize();

	// Capa 1
	this.shape = new cjs.Shape();
	this.shape.graphics.rf(["#000000","#FFFFFF"],[0,1],26,48,0,26,48,115).s().p("AmnGoQiviwgBj4QABj3CviwQCwivD3gBQD4ABCwCvQCvCwAAD3QAAD4ivCwQiwCvj4AAQj3AAiwivg");
	this.shape.setTransform(60,60);

	this.addChild(this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = new cjs.Rectangle(0,0,120,120);

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;